RIMO_QGIS_PRINTING_ENVIRONMENT = "RIMO_QGIS_PRINTING_ENVIRONMENT"
METADATA_TXT_FILE_NAME = "metadata.txt"
CONFIG_FILE_NAME = "config.json"
DEFAULT_DATA_FOLDER_NAME = "Data"
DEFAULT_STYLE_FOLDER_NAME = "styles"
DEFAULT_COMPOSER_FOLDER_NAME = "composer_templates"
DEFAULT_COMPANY_LOGO_FOLDER_NAME = "Logos"
DEFAULT_COMPANY_LOGO_IMAGE = "CompanyLogo.png"
DEFAULT_LEGEND_IMAGE = "Legende.jpg"
DEFAULT_DETAIL_LEGEND_IMAGE = "Legende_Detailplanung.png"
DEFAULT_IMPRESSUM_FOLDER_NAME = "Sonstiges"
DEFAULT_IMPRESSUM_FILE_NAME = "Anschrift.txt"
DEFAULT_NORTHARROW_FILE_NAME = "NorthArrow_04.svg"


# backwards-compatibility - fallback
NAME_PATH_MAPPING = {
    "Buildings": "exportBuildingsToGeoJson",
    "FCPs": "exportFCPsToGeoJson",
    "Access Nodes": "exportAccessNodesToGeoJson",
    "Route Locations": "exportRouteLocationsToGeoJson",
    "Border Points": "exportBorderpointsToGeoJson",
    "Direction Lines": "exportDirectionLinesToGeoJson",
    "Shaft Locations": "exportShaftLocationsToGeoJson",
    "Trenches": "exportTrenchesToGeoJson",
    "Cables": "exportCablesToGeoJson",
    "Pipes": "exportPipesToGeoJson",
    "Cladding Pipes": "exportCladdingPipesToGeoJson",
    "Info Locations": "exportInfoLocationsToGeoJson",
    "FCP Polygons": "exportFCPPolygonsToGeoJson",
    "SiteCluster Polygons": "exportSiteClusterPolygonsToGeoJson",
    "Cluster Polygons": "exportClusterPolygonsToGeoJson",
    "Extension Locations": "exportExtensionLocationsToGeoJson",
    "Backbone Cluster Polygons": "exportClusterPolygonsToGeoJson",
    "Backbone Site Cluster": "exportSiteClusterToGeoJson",
    "Backbone POP": "exportAccessNodesToGeoJson",
    "Backbone Connection": "exportBackboneConnectionsToGeoJson",
    "Backbone Trenches": "exportTrenchesToGeoJson",
    "Backbone Cables": "exportCablesToGeoJson",
    "Backbone Pipes": "exportPipesToGeoJson",
}

# TODO: siteClusterBackbone no method for this method name on backend implemented
# TODO: siteClusterBackbone replacement method needed to fix method call for layers in existing QGIS files (backwards compatibility )
RIMODATATYPE_PATH_MAPPING = {
    "building": "exportBuildingsToGeoJson",
    "fcp": "exportFCPsToGeoJson",
    "accessnode": "exportAccessNodesToGeoJson",
    "routelocation": "exportRouteLocationsToGeoJson",
    "borderpoint": "exportBorderpointsToGeoJson",
    "extensionlocation": "exportExtensionLocationsToGeoJson",
    "directionline": "exportDirectionLinesToGeoJson",
    "shaftlocation": "exportShaftLocationsToGeoJson",
    "trench": "exportTrenchesToGeoJson",
    "cable": "exportCablesToGeoJson",
    "pipe": "exportPipesToGeoJson",
    "claddingpipe": "exportCladdingPipesToGeoJson",
    "infolocation": "exportInfoLocationsToGeoJson",
    "fcppolygon": "exportFCPPolygonsToGeoJson",
    "siteclusterpolygon": "exportSiteClusterPolygonsToGeoJson",
    "clusterpolygon": "exportClusterPolygonsToGeoJson",
    "backbonesitecluster": "exportSiteClusterToGeoJson",
    "backboneconnection": "exportBackboneConnectionsToGeoJson",
}
